import { App } from 'vue-demi';
import * as components from './components';
export * from "./types";
export * from './components';
export declare const version: string;
export declare const install: (app: App) => void;
declare const _default: {
    Modal: import("vue-demi").DefineComponent<{
        zIndex: {
            type: NumberConstructor;
            default: number;
        };
        width: {
            type: (StringConstructor | NumberConstructor)[];
            default: number;
        };
        title: {
            type: StringConstructor;
        };
        modelValue: {
            type: BooleanConstructor;
            default: boolean;
        };
        showCancelBtn: {
            type: BooleanConstructor;
            default: boolean;
        };
        beforeConfirmClose: import("vue-demi").PropType<() => Promise<unknown>>;
    }, () => JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {
        cancel: null;
        confirm: null;
        "update:modelValue": null;
    }, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<import("vue-demi").ExtractPropTypes<{
        zIndex: {
            type: NumberConstructor;
            default: number;
        };
        width: {
            type: (StringConstructor | NumberConstructor)[];
            default: number;
        };
        title: {
            type: StringConstructor;
        };
        modelValue: {
            type: BooleanConstructor;
            default: boolean;
        };
        showCancelBtn: {
            type: BooleanConstructor;
            default: boolean;
        };
        beforeConfirmClose: import("vue-demi").PropType<() => Promise<unknown>>;
    }>> & {
        onCancel?: ((...args: any[]) => any) | undefined;
        onConfirm?: ((...args: any[]) => any) | undefined;
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    }, {
        width: string | number;
        zIndex: number;
        modelValue: boolean;
        showCancelBtn: boolean;
    }>;
    Button: import("vue-demi").DefineComponent<{
        type: {
            type: import("./components/button/types").btnTypeProps;
            default: string;
        };
        "v-slots": {
            type: import("vue-demi").PropType<import("./components/button/types").BtnSlots>;
            default: {};
        };
        ghost: {
            type: BooleanConstructor;
            default: boolean;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {
        click: null;
    }, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<import("vue-demi").ExtractPropTypes<{
        type: {
            type: import("./components/button/types").btnTypeProps;
            default: string;
        };
        "v-slots": {
            type: import("vue-demi").PropType<import("./components/button/types").BtnSlots>;
            default: {};
        };
        ghost: {
            type: BooleanConstructor;
            default: boolean;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & {
        onClick?: ((...args: any[]) => any) | undefined;
    }, {
        type: import("./components/button/types").BtnType;
        "v-slots": import("./components/button/types").BtnSlots;
        ghost: boolean;
        disabled: boolean;
    }>;
    CreateButton: typeof components.CreateButton;
    Table: import("vue-demi").DefineComponent<{
        columns: {
            type: import("./components/table/propTypes").propcolumns;
            default(): never[];
        };
        data: {
            type: import("./components/table/propTypes").propdata;
            default(): never[];
        };
        border: {
            type: BooleanConstructor;
            default: boolean;
        };
        expandRender: import("./components/table/propTypes").propExpandRender;
    }, () => JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {
        selectionChange: (data: import("./components/table/propTypes").TabelData) => null;
    }, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<import("vue-demi").ExtractPropTypes<{
        columns: {
            type: import("./components/table/propTypes").propcolumns;
            default(): never[];
        };
        data: {
            type: import("./components/table/propTypes").propdata;
            default(): never[];
        };
        border: {
            type: BooleanConstructor;
            default: boolean;
        };
        expandRender: import("./components/table/propTypes").propExpandRender;
    }>> & {
        onSelectionChange?: ((data: import("./components/table/propTypes").TabelData) => any) | undefined;
    }, {
        columns: import("./types").TableColumns<any>[];
        data: import("./components/table/propTypes").TabelData;
        border: boolean;
    }>;
    $confirm: (props?: import("./components/modal/types").properties | undefined) => {
        remove(): void;
    };
    $alert: {
        (context: string, options?: import("./components/modal/types").properties | undefined): void;
        (props: import("./components/modal/types").properties): void;
    };
    Radio: import("vue-demi").DefineComponent<{
        modelValue: {
            default: boolean;
            type: BooleanConstructor;
        };
        value: {
            default: string;
            type: (StringConstructor | NumberConstructor)[];
        };
        type: {
            default: string;
            type: import("./components/radioGroup/types").typeValuePropType;
        };
        prohibitCancel: {
            default: boolean;
            type: BooleanConstructor;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {
        "update:modelValue": null;
        Change: null;
    }, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<import("vue-demi").ExtractPropTypes<{
        modelValue: {
            default: boolean;
            type: BooleanConstructor;
        };
        value: {
            default: string;
            type: (StringConstructor | NumberConstructor)[];
        };
        type: {
            default: string;
            type: import("./components/radioGroup/types").typeValuePropType;
        };
        prohibitCancel: {
            default: boolean;
            type: BooleanConstructor;
        };
    }>> & {
        onChange?: ((...args: never) => any) | undefined;
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    }, {
        type: "" | "button";
        modelValue: boolean;
        value: string | number;
        prohibitCancel: boolean;
    }>;
    RadioGroup: import("vue-demi").DefineComponent<{
        modelValue: {
            default: string;
            type: import("./components/radioGroup/types").CurrentValuePropType;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {
        "update:modelValue": null;
        change: null;
    }, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<import("vue-demi").ExtractPropTypes<{
        modelValue: {
            default: string;
            type: import("./components/radioGroup/types").CurrentValuePropType;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    }, {
        modelValue: string;
    }>;
    Card: import("vue-demi").DefineComponent<{
        width: {
            default: string;
            type: StringConstructor;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, Record<string, any>, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<import("vue-demi").ExtractPropTypes<{
        width: {
            default: string;
            type: StringConstructor;
        };
    }>>, {
        width: string;
    }>;
    Ellipsis: import("vue-demi").DefineComponent<{
        placement: {
            type: import("vue-demi").PropType<import("@popperjs/core").Placement | undefined>;
            default: "top";
        };
        content: {
            type: import("vue-demi").PropType<string | undefined>;
            default: string;
        };
        maxWidth: {
            type: import("vue-demi").PropType<string | number | undefined>;
            default: number;
        };
        delay: {
            type: NumberConstructor;
            default: number;
        };
        poperClass: StringConstructor;
        text: {
            type: StringConstructor;
            default: string;
        };
        length: {
            type: NumberConstructor;
        };
        height: {
            type: NumberConstructor;
        };
        lines: {
            type: NumberConstructor;
        };
        tooltip: {
            type: BooleanConstructor;
            default: boolean;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, Record<string, any>, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<import("vue-demi").ExtractPropTypes<{
        placement: {
            type: import("vue-demi").PropType<import("@popperjs/core").Placement | undefined>;
            default: "top";
        };
        content: {
            type: import("vue-demi").PropType<string | undefined>;
            default: string;
        };
        maxWidth: {
            type: import("vue-demi").PropType<string | number | undefined>;
            default: number;
        };
        delay: {
            type: NumberConstructor;
            default: number;
        };
        poperClass: StringConstructor;
        text: {
            type: StringConstructor;
            default: string;
        };
        length: {
            type: NumberConstructor;
        };
        height: {
            type: NumberConstructor;
        };
        lines: {
            type: NumberConstructor;
        };
        tooltip: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>>, {
        text: string;
        placement: import("@popperjs/core").Placement | undefined;
        content: string | undefined;
        maxWidth: string | number | undefined;
        tooltip: boolean;
        delay: number;
    }>;
    Divider: import("vue-demi").DefineComponent<{
        type: {
            type: import("vue-demi").PropType<"horizontal" | "vertical">;
            default: string;
        };
        orientation: {
            default: string;
            type: import("vue-demi").PropType<"center" | "start" | "end">;
        };
        dashed: {
            default: boolean;
            type: BooleanConstructor;
        };
        color: {
            default: string;
            type: StringConstructor;
        };
        size: {
            default: number;
            type: (StringConstructor | NumberConstructor)[];
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, Record<string, any>, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<import("vue-demi").ExtractPropTypes<{
        type: {
            type: import("vue-demi").PropType<"horizontal" | "vertical">;
            default: string;
        };
        orientation: {
            default: string;
            type: import("vue-demi").PropType<"center" | "start" | "end">;
        };
        dashed: {
            default: boolean;
            type: BooleanConstructor;
        };
        color: {
            default: string;
            type: StringConstructor;
        };
        size: {
            default: number;
            type: (StringConstructor | NumberConstructor)[];
        };
    }>>, {
        type: "horizontal" | "vertical";
        dashed: boolean;
        orientation: "center" | "start" | "end";
        color: string;
        size: string | number;
    }>;
    Split: import("vue-demi").DefineComponent<{
        modelValue: {
            type: NumberConstructor;
            default: number;
        };
        mode: {
            default: string;
            type: ((new (...args: any[]) => "horizontal" | "vertical") | (() => "horizontal" | "vertical")) | ((new (...args: any[]) => "horizontal" | "vertical") | (() => "horizontal" | "vertical"))[];
        };
        pane1MinSize: {
            default: number;
            type: NumberConstructor;
        };
        pane2MinSize: {
            default: number;
            type: NumberConstructor;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {
        "update:modelValue": null;
    }, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<import("vue-demi").ExtractPropTypes<{
        modelValue: {
            type: NumberConstructor;
            default: number;
        };
        mode: {
            default: string;
            type: ((new (...args: any[]) => "horizontal" | "vertical") | (() => "horizontal" | "vertical")) | ((new (...args: any[]) => "horizontal" | "vertical") | (() => "horizontal" | "vertical"))[];
        };
        pane1MinSize: {
            default: number;
            type: NumberConstructor;
        };
        pane2MinSize: {
            default: number;
            type: NumberConstructor;
        };
    }>> & {
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    }, {
        mode: "horizontal" | "vertical";
        modelValue: number;
        pane1MinSize: number;
        pane2MinSize: number;
    }>;
    Tooltip: import("vue-demi").DefineComponent<{
        placement: {
            type: import("vue-demi").PropType<import("@popperjs/core").Placement | undefined>;
            default: "top";
        };
        content: {
            type: import("vue-demi").PropType<string | undefined>;
            default: string;
        };
        maxWidth: {
            type: import("vue-demi").PropType<string | number | undefined>;
            default: number;
        };
        delay: {
            type: NumberConstructor;
            default: number;
        };
        poperClass: StringConstructor;
    }, () => JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, Record<string, any>, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<import("vue-demi").ExtractPropTypes<{
        placement: {
            type: import("vue-demi").PropType<import("@popperjs/core").Placement | undefined>;
            default: "top";
        };
        content: {
            type: import("vue-demi").PropType<string | undefined>;
            default: string;
        };
        maxWidth: {
            type: import("vue-demi").PropType<string | number | undefined>;
            default: number;
        };
        delay: {
            type: NumberConstructor;
            default: number;
        };
        poperClass: StringConstructor;
    }>>, {
        placement: import("@popperjs/core").Placement | undefined;
        content: string | undefined;
        maxWidth: string | number | undefined;
        delay: number;
    }>;
    Message: {
        name: string;
        info(options: import("./components/message/types").noticeOptions): () => void;
        success(options: import("./components/message/types").noticeOptions): () => void;
        warning(options: import("./components/message/types").noticeOptions): () => void;
        error(options: import("./components/message/types").noticeOptions): () => void;
        loading(options: import("./components/message/types").noticeOptions): () => void;
        message(type: import("./components/message/types").iconType | undefined, options: import("./components/message/types").noticeOptions): () => void;
        config(options: any): void;
        destroy(): void;
    };
    Icon: import("vue-demi").DefineComponent<{
        type: {
            default: string;
            type: StringConstructor;
        };
        size: {
            type: NumberConstructor;
        };
        color: StringConstructor;
        custom: {
            type: StringConstructor;
            default: string;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {
        click: null;
    }, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<import("vue-demi").ExtractPropTypes<{
        type: {
            default: string;
            type: StringConstructor;
        };
        size: {
            type: NumberConstructor;
        };
        color: StringConstructor;
        custom: {
            type: StringConstructor;
            default: string;
        };
    }>> & {
        onClick?: ((...args: any[]) => any) | undefined;
    }, {
        type: string;
        custom: string;
    }>;
    Pagination: import("vue-demi").DefineComponent<{
        modelValue: {
            type: NumberConstructor;
            default: number;
        };
        pageNumber: {
            type: NumberConstructor;
            default: number;
        };
        pageSize: {
            type: NumberConstructor;
            default: number;
        };
        total: {
            default: number;
            type: NumberConstructor;
        };
        showTotal: {
            default: boolean;
            type: BooleanConstructor;
        };
        endpaper: {
            default: boolean;
            type: BooleanConstructor;
        };
        homeText: StringConstructor;
        trailerText: StringConstructor;
        showPreviousNext: {
            default: boolean;
            type: BooleanConstructor;
        };
        prevText: StringConstructor;
        nextText: StringConstructor;
    }, () => JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {
        "update:modelValue": null;
        change: null;
    }, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<import("vue-demi").ExtractPropTypes<{
        modelValue: {
            type: NumberConstructor;
            default: number;
        };
        pageNumber: {
            type: NumberConstructor;
            default: number;
        };
        pageSize: {
            type: NumberConstructor;
            default: number;
        };
        total: {
            default: number;
            type: NumberConstructor;
        };
        showTotal: {
            default: boolean;
            type: BooleanConstructor;
        };
        endpaper: {
            default: boolean;
            type: BooleanConstructor;
        };
        homeText: StringConstructor;
        trailerText: StringConstructor;
        showPreviousNext: {
            default: boolean;
            type: BooleanConstructor;
        };
        prevText: StringConstructor;
        nextText: StringConstructor;
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    }, {
        modelValue: number;
        pageNumber: number;
        pageSize: number;
        total: number;
        showTotal: boolean;
        endpaper: boolean;
        showPreviousNext: boolean;
    }>;
    Input: import("vue-demi").DefineComponent<{
        width: {
            default: string;
            type: (StringConstructor | NumberConstructor)[];
        };
        modelValue: {
            default: string;
            type: (StringConstructor | NumberConstructor)[];
        };
        placeholder: {
            default: string;
            type: StringConstructor;
        };
        disabled: {
            default: boolean;
            type: BooleanConstructor;
        };
        type: {
            default: string;
            type: import("./components/input/types").InputTypeProps;
        };
        textAlign: {
            default: string;
            type: import("./components/input/types").TextAlignPropType;
        };
        rows: {
            type: NumberConstructor;
            default: number;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {
        "update:modelValue": null;
        blur: (event: FocusEvent) => true;
        focus: (event: FocusEvent) => true;
    }, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<import("vue-demi").ExtractPropTypes<{
        width: {
            default: string;
            type: (StringConstructor | NumberConstructor)[];
        };
        modelValue: {
            default: string;
            type: (StringConstructor | NumberConstructor)[];
        };
        placeholder: {
            default: string;
            type: StringConstructor;
        };
        disabled: {
            default: boolean;
            type: BooleanConstructor;
        };
        type: {
            default: string;
            type: import("./components/input/types").InputTypeProps;
        };
        textAlign: {
            default: string;
            type: import("./components/input/types").TextAlignPropType;
        };
        rows: {
            type: NumberConstructor;
            default: number;
        };
    }>> & {
        onFocus?: ((event: FocusEvent) => any) | undefined;
        onBlur?: ((event: FocusEvent) => any) | undefined;
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    }, {
        width: string | number;
        type: "" | "text" | "password" | "textarea";
        modelValue: string | number;
        disabled: boolean;
        placeholder: string;
        textAlign: import("./components/types").AlignType;
        rows: number;
    }>;
    InputNumber: import("vue-demi").DefineComponent<{
        modelValue: {
            default: number;
            type: NumberConstructor;
        };
        step: {
            default: number;
            type: NumberConstructor;
        };
        textAlign: {
            default: string;
            type: import("./components/input/types").TextAlignPropType;
        };
        controls: {
            default: boolean;
            type: BooleanConstructor;
        };
        controlsTwoSides: {
            type: BooleanConstructor;
            default: boolean;
        };
        precision: {
            type: NumberConstructor;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {
        "update:modelValue": null;
    }, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<import("vue-demi").ExtractPropTypes<{
        modelValue: {
            default: number;
            type: NumberConstructor;
        };
        step: {
            default: number;
            type: NumberConstructor;
        };
        textAlign: {
            default: string;
            type: import("./components/input/types").TextAlignPropType;
        };
        controls: {
            default: boolean;
            type: BooleanConstructor;
        };
        controlsTwoSides: {
            type: BooleanConstructor;
            default: boolean;
        };
        precision: {
            type: NumberConstructor;
        };
    }>> & {
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    }, {
        modelValue: number;
        textAlign: import("./components/types").AlignType;
        step: number;
        controls: boolean;
        controlsTwoSides: boolean;
    }>;
    ScrollBar: import("vue-demi").DefineComponent<{
        height: {
            type: (StringConstructor | NumberConstructor)[];
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, Record<string, any>, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<import("vue-demi").ExtractPropTypes<{
        height: {
            type: (StringConstructor | NumberConstructor)[];
        };
    }>>, {}>;
    ProgressBar: import("vue-demi").DefineComponent<{
        height: {
            type: NumberConstructor;
            default: number;
        };
        modelValue: {
            type: NumberConstructor;
            default: number;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {
        "update:modelValue": null;
    }, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<import("vue-demi").ExtractPropTypes<{
        height: {
            type: NumberConstructor;
            default: number;
        };
        modelValue: {
            type: NumberConstructor;
            default: number;
        };
    }>> & {
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    }, {
        modelValue: number;
        height: number;
    }>;
    $Loading: typeof components.$Loading;
    Select: import("vue-demi").DefineComponent<{
        modelValue: {
            type: import("vue-demi").PropType<import("./components/select/types").value>;
        };
        disabled: {
            type: BooleanConstructor;
        };
        placeholder: {
            type: StringConstructor;
            default: string;
        };
        width: NumberConstructor;
    }, () => JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {
        "update:modelValue": null;
        change: (value: import("./components/select/types").value) => null;
    }, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<import("vue-demi").ExtractPropTypes<{
        modelValue: {
            type: import("vue-demi").PropType<import("./components/select/types").value>;
        };
        disabled: {
            type: BooleanConstructor;
        };
        placeholder: {
            type: StringConstructor;
            default: string;
        };
        width: NumberConstructor;
    }>> & {
        onChange?: ((value: import("./components/select/types").value) => any) | undefined;
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    }, {
        disabled: boolean;
        placeholder: string;
    }>;
    Option: import("vue-demi").DefineComponent<{
        value: {
            default: string;
            type: (StringConstructor | NumberConstructor)[];
        };
        label: {
            default: string;
            type: (StringConstructor | NumberConstructor)[];
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, Record<string, any>, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<import("vue-demi").ExtractPropTypes<{
        value: {
            default: string;
            type: (StringConstructor | NumberConstructor)[];
        };
        label: {
            default: string;
            type: (StringConstructor | NumberConstructor)[];
        };
    }>>, {
        value: string | number;
        label: string | number;
    }>;
    Switch: import("vue-demi").DefineComponent<{
        modelValue: {
            default: boolean;
            type: BooleanConstructor;
        };
        beforeChange: import("vue-demi").PropType<() => Promise<unknown>>;
        loading: {
            default: boolean;
            type: BooleanConstructor;
        };
        disabled: {
            default: boolean;
            type: BooleanConstructor;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {
        "update:modelValue": null;
        change: null;
    }, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<import("vue-demi").ExtractPropTypes<{
        modelValue: {
            default: boolean;
            type: BooleanConstructor;
        };
        beforeChange: import("vue-demi").PropType<() => Promise<unknown>>;
        loading: {
            default: boolean;
            type: BooleanConstructor;
        };
        disabled: {
            default: boolean;
            type: BooleanConstructor;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    }, {
        modelValue: boolean;
        disabled: boolean;
        loading: boolean;
    }>;
    ColorPicker: import("vue-demi").DefineComponent<{
        modelValue: {
            default: string;
            type: StringConstructor;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {
        "update:modelValue": null;
    }, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<import("vue-demi").ExtractPropTypes<{
        modelValue: {
            default: string;
            type: StringConstructor;
        };
    }>> & {
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    }, {
        modelValue: string;
    }>;
    DatePicker: import("vue-demi").DefineComponent<{
        modelValue: import("vue-demi").PropType<Date | [Date, Date]>;
        format: {
            type: StringConstructor;
            default: string;
        };
        placeholder: StringConstructor;
        textAlign: import("./components/input/types").TextAlignPropType;
        type: {
            default: string;
            type: import("vue-demi").PropType<"date" | "daterange">;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {
        "update:modelValue": null;
    }, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<import("vue-demi").ExtractPropTypes<{
        modelValue: import("vue-demi").PropType<Date | [Date, Date]>;
        format: {
            type: StringConstructor;
            default: string;
        };
        placeholder: StringConstructor;
        textAlign: import("./components/input/types").TextAlignPropType;
        type: {
            default: string;
            type: import("vue-demi").PropType<"date" | "daterange">;
        };
    }>> & {
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    }, {
        type: "date" | "daterange";
        format: string;
    }>;
    Menu: import("vue-demi").DefineComponent<{
        theme: {
            type: import("vue-demi").PropType<"light">;
            default: string;
        };
        mode: {
            type: import("./components/menu/types").modePropType;
            default: string;
        };
        width: {
            type: StringConstructor;
            default: string;
        };
        openName: {
            type: import("./components/menu/types").openNamePropType;
            default: never[];
        };
        activeName: {
            type: import("./components/menu/types").activeNamePropType;
            default: string;
        };
        accordion: {
            type: BooleanConstructor;
            default: boolean;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, Record<string, any>, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<import("vue-demi").ExtractPropTypes<{
        theme: {
            type: import("vue-demi").PropType<"light">;
            default: string;
        };
        mode: {
            type: import("./components/menu/types").modePropType;
            default: string;
        };
        width: {
            type: StringConstructor;
            default: string;
        };
        openName: {
            type: import("./components/menu/types").openNamePropType;
            default: never[];
        };
        activeName: {
            type: import("./components/menu/types").activeNamePropType;
            default: string;
        };
        accordion: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>>, {
        theme: "light";
        mode: import("./components/menu/types").mode;
        width: string;
        openName: import("./components/menu/types").openName;
        activeName: import("./components/menu/types").activeName;
        accordion: boolean;
    }>;
    MenuItem: import("vue-demi").DefineComponent<{
        name: {
            type: import("./components/menu/types").activeNamePropType;
            required: true;
        };
        to: {
            type: StringConstructor;
        };
        target: {
            type: import("vue-demi").PropType<string | undefined>;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, Record<string, any>, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<import("vue-demi").ExtractPropTypes<{
        name: {
            type: import("./components/menu/types").activeNamePropType;
            required: true;
        };
        to: {
            type: StringConstructor;
        };
        target: {
            type: import("vue-demi").PropType<string | undefined>;
        };
    }>>, {}>;
    SubMenu: import("vue-demi").DefineComponent<{
        title: {
            default: string;
        };
        name: {
            type: import("./components/menu/types").openNamesPropType;
            required: true;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, Record<string, any>, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<import("vue-demi").ExtractPropTypes<{
        title: {
            default: string;
        };
        name: {
            type: import("./components/menu/types").openNamesPropType;
            required: true;
        };
    }>>, {
        title: string;
    }>;
    version: string;
    install: (app: App<any>) => void;
};
export default _default;
